{--------------------------------------------------------}
{
{    Programa para tornar o I CHING acessivel aos cegos
{
{    Autor: Jose' Antonio Borges
{
{    Em 24/06/97
{
{--------------------------------------------------------}

{$M 16000, 8000}

program iching;

uses dvcrt, dvWin,
     ichVars, ichCalc, ichInter, ichTela;

{--------------------------------------------------------}
{                      inicializacao
{--------------------------------------------------------}

procedure inicializa;
var dir: string;
    i, posic, x, y: integer;
begin
    randomize;
    pergunta := '';
    telaBasica;

    dir := sintAmbiente('ICHINVOX', 'DIRICHINVOX');
    if dir <> '' then
        if dir [length(dir)] <> '\' then
           dir := dir + '\';

    sintInic (0, dir);

    dirTextos := sintAmbiente ('ICHINVOX', 'TEXTOICHINVOX');
    if dirTextos <> '' then
        if dirTextos [length (dirTextos)] <> '\' then
            dirTextos := dirTextos + '\';

    sintSom ('ICINIC');
end;

{--------------------------------------------------------}
{                       finalizacao
{--------------------------------------------------------}

procedure finaliza;
begin
    sintSom ('ICFINAL');
    while sintFalando do;
    sintFim;
    doneWinCrt;
end;

{--------------------------------------------------------}
{                   programa principal
{--------------------------------------------------------}

begin
    inicializa;

    repeat
        telaBasica;
        pedePergunta;
        realizaJogada;

        calculaDiagnostico;
        fazMutacao;
        calculaPrognostico;

        exibeResumo (false);

        interacao;

        pergunta := '';

    until not outraConsulta;

    finaliza;
end.
